summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/cryptsetup/cryptsetup.SlackBuild4
-rw-r--r--source/a/lvm2/lvm.url2
2 files changed, 4 insertions, 2 deletions
diff --git a/source/a/cryptsetup/cryptsetup.SlackBuild b/source/a/cryptsetup/cryptsetup.SlackBuild
index 383cc2203..60f1eaf9f 100755
--- a/source/a/cryptsetup/cryptsetup.SlackBuild
+++ b/source/a/cryptsetup/cryptsetup.SlackBuild
@@ -56,6 +56,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -100,7 +102,7 @@ CFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/cryptsetup-$VERSION \
--build=$ARCH-slackware-linux || exit 1
-make || exit 1
+make $NUMJOBS || make || exit 1
make DESTDIR=$PKG install || exit 1
# __DISABLED__
diff --git a/source/a/lvm2/lvm.url b/source/a/lvm2/lvm.url
index 23553ce1a..a27b093e9 100644
--- a/source/a/lvm2/lvm.url
+++ b/source/a/lvm2/lvm.url
@@ -1 +1 @@
-ftp://sources.redhat.com/pub/lvm2/
+ftp://sourceware.org/pub/lvm2/